﻿Imports System.IO
Imports System.Resources

Public Class Form1

    Dim recursos As Resources.ResourceManager
    Private Sub btnExibirImagem_Click(sender As Object, e As EventArgs) Handles btnExibirImagem.Click

        Try
            'PictureBox1.Image = My.Resources.gandhi
            recursos = New Resources.ResourceManager("Usando_Recursos.Resources", System.Reflection.Assembly.GetExecutingAssembly)
            PictureBox1.Image = recursos.GetObject(txtRecurso.Text)
        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        Finally
            recursos.ReleaseAllResources()
        End Try

    End Sub

    Private Sub btnExibirString_Click(sender As Object, e As EventArgs) Handles btnExibirString.Click
        Try
            TextBox1.Text = My.Resources.TextoResources
        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub btnAudio_Click(sender As Object, e As EventArgs) Handles btnAudio.Click
        Try
            My.Computer.Audio.Play(My.Resources.Critical, AudioPlayMode.Background)
        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try


    End Sub

    Private Sub btnPDF_Click(sender As Object, e As EventArgs) Handles btnPDF.Click

        Try
            Dim pdf As Byte() = My.Resources.teste
            Using tmp As New FileStream("c:\dados\teste_1.pdf", FileMode.Create)
                tmp.Write(pdf, 0, pdf.Length)
            End Using
            WebBrowser1.Navigate("c:\dados\teste_1.pdf")

        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

    End Sub

    Private Sub btnCriar_Click(sender As Object, e As EventArgs) Handles btnCriar.Click
        Try
            Dim rsw As New ResourceWriter("Macoratti.resources")
            rsw.AddResource("Chave 1", "Macoratti")
            rsw.AddResource("Chave 2", "www.macoratti.net")
            rsw.Generate()
            rsw.Close()
            MessageBox.Show("Arquivo criado com sucesso")
        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub btnAcessar_Click(sender As Object, e As EventArgs) Handles btnAcessar.Click
        Try
            Dim rs As New ResourceSet("Macoratti.resources")
            ListBox1.Items.Add(rs.GetString("Chave 1", True))
            ListBox1.Items.Add(rs.GetString("Chave 2", True))
            rs.Close()
        Catch ex As Exception
            MessageBox.Show("Erro : " + ex.Message, "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub
End Class
